Visualizzazione risultati 1 fino 18 di 18

Discussione: Sito wiki (wikimedia) non più funzionante

  1. #1
    parracomumangi non è connesso Neofita
    Data registrazione
    19-02-2008
    Messaggi
    19

    Predefinito Sito wiki (wikimedia) non più funzionante

    Salve, il mio sito ha una cartella con un wiki (wikimedia, lo stesso di wikiedia), purtroppo da un po' di tempo non funziona più.
    Si vede il titolo soltanto. Pensavo che qualcuno mi avesse cancellato il DB, invece noto che se clicco su "modifica" vedo il sorgente del wiki, ma poi quando lo salvo, nella pagina appare solo il titolo e non il contenuto.
    Qualcuno saprebbe dirmi che succede?

  2. #2
    L'avatar di alemoppo
    alemoppo non è connesso Staff AV
    Data registrazione
    24-08-2008
    Residenza
    PU / BO
    Messaggi
    17,967

    Predefinito

    Hai aggiornato l'applicativo? Quale versione stai utilizzando?

    Ciao!

  3. #3
    parracomumangi non è connesso Neofita
    Data registrazione
    19-02-2008
    Messaggi
    19

    Predefinito

    Devo controllare. No. Non l'ho aggiornato da tempo... al momento non so nemmeno come si fa.
    Ci sono delle istruzioni su wikipedia ma non ci si capisce niente, mi servono un paio d'ore solo per leggerle per non rischiare di fare fesserie e perdere i dati.
    Quando avrò tempo (il tempo...!) proverò ad installare l'ultima versione o a reinstallare tutto da zero.

    Comunque la cosa strana è che non avendo cambiato niente, dovrebbe continuare a funzionare. Speravo che qualcuno avesse avuto lo stesso problema. Ho anche provato ad usare diverse versioni di php ma niente

  4. #4
    GraphOGLRisorse è connesso ora AlterGuru
    Data registrazione
    14-02-2015
    Messaggi
    1,255

    Predefinito

    Saslve,
    è da l 26 maggio in poi, che le risulta questo problema?

    Cordiali saluti.

  5. #5
    parracomumangi non è connesso Neofita
    Data registrazione
    19-02-2008
    Messaggi
    19

    Predefinito

    Non saprei dire la data esatta, però probabilmente il periodo è quello

  6. #6
    GraphOGLRisorse è connesso ora AlterGuru
    Data registrazione
    14-02-2015
    Messaggi
    1,255

    Predefinito

    Da quel giorno, php 5.3 è stato rimosso da AlterVista e la versione minima disponibile ora è php 5.6. Quidi se il problema risale a quel periodo, è probabile che la versione di wikimedia che usa, non sia pienamente compatibile con php 5.6 o maggiore.

    Cordiali saluti.

  7. #7
    parracomumangi non è connesso Neofita
    Data registrazione
    19-02-2008
    Messaggi
    19

    Predefinito

    Capito, in un caso o nell'altro per saperlo bisogna provare ad aggiornare il wiki.
    Ci proverò, grazie

  8. #8
    L'avatar di alemoppo
    alemoppo non è connesso Staff AV
    Data registrazione
    24-08-2008
    Residenza
    PU / BO
    Messaggi
    17,967

    Predefinito

    Tieni anche in considerazione l'utilizzo di un account AlterBlog (WordPress) in cui installare un plugin per fare quel che cerchi, probabilmente c'è un plugin che fa al tuo caso: su AlterBlog puoi mantenere aggiornati gli applicativi con un click e inoltre avrai spazio e banda illimitati.

    Ciao!

  9. #9
    parracomumangi non è connesso Neofita
    Data registrazione
    19-02-2008
    Messaggi
    19

    Predefinito

    Citazione Originalmente inviato da alemoppo Visualizza messaggio
    Tieni anche in considerazione l'utilizzo di un account AlterBlog (WordPress) in cui installare un plugin per fare quel che cerchi, probabilmente c'è un plugin che fa al tuo caso: su AlterBlog puoi mantenere aggiornati gli applicativi con un click e inoltre avrai spazio e banda illimitati.

    Ciao!
    Scusa, non avevo letto l'ultimo messaggio, solo oggi trovo il tempo di aggiornare il wiki. Riguardo il blog ci sto pensando. Vuoi dire che si può mantenere un blog in formato wiki, quello attuale?

    E comunque, gli articoli del blog sono per forza in una lingua? Vorrei creare un blog multilingue in cui gli articoli possano essere scritti in lingua diversa l'uno dall'altro, che ne so, uno scritto in polacco, l'altro in italiano, ed un terzo è in esperanto. Potrebbe dare problemi all'utenza o a me che lo gestisco?
    Ultima modifica di parracomumangi : 27-10-2020 alle ore 17.44.14

  10. #10
    GraphOGLRisorse è connesso ora AlterGuru
    Data registrazione
    14-02-2015
    Messaggi
    1,255

    Predefinito

    Salve,
    Con AlterBolog è possibile fare il blog solo in WordPress. Non sò se esista qualche plugin per caricare il sito fatto in formato wiki.

    Citazione Originalmente inviato da parracomumangi Visualizza messaggio
    E comunque, gli articoli del blog sono per forza in una lingua? Vorrei creare un blog multilingue in cui gli articoli possano essere scritti in lingua diversa l'uno dall'altro, che ne so, uno scritto in polacco, l'altro in italiano, ed un terzo è in esperanto. Potrebbe dare problemi all'utenza o a me che lo gestisco?
    Dipende se l'account del sito è stato registrato dal portale italiano (it.altervista.org) o da quello internazionale (en.altervista.org).

    Da reglamento, i siti registrati dal portale italiano devono poter essere fruiti in lingua italiana.

    Cordiali saluti.
    Ultima modifica di GraphOGLRisorse : 27-10-2020 alle ore 18.26.23

  11. #11
    parracomumangi non è connesso Neofita
    Data registrazione
    19-02-2008
    Messaggi
    19

    Predefinito

    Va bene, il sito in lingua italiana, ma se una pagina è in un'altra lingua?
    Ho il sito da tempo, non ricordo dove l'ho registrato, vedo altervista.org ma non so se era it. Suppongo di sì.

    E se fosse registrato sulla versione inglese dovrebbe essere necessariamente in inglese?
    Ultima modifica di parracomumangi : 27-10-2020 alle ore 19.30.49

  12. #12
    GraphOGLRisorse è connesso ora AlterGuru
    Data registrazione
    14-02-2015
    Messaggi
    1,255

    Predefinito

    Se il sito è registrato tramite il portale italiano, come menzionato prima e nel reglamanto (lincato), le pagine devono essere in lingua italiana. Quindi al massimo può fare le pagine multi lingua. Nel caso desideri avere alcune pagine solo in altra lingua, deve aprire un secondo sito nel portale internazionale e trasferire il primao sito.

    Cordiali saluti.

  13. #13
    parracomumangi non è connesso Neofita
    Data registrazione
    19-02-2008
    Messaggi
    19

    Predefinito

    Citazione Originalmente inviato da GraphOGLRisorse Visualizza messaggio
    Nel caso desideri avere alcune pagine solo in altra lingua (...)
    Quindi non esiste possibilità di sito multilingue.
    Bisogna crearlo in italiano oppure scegliere solo un'altra lingua.

  14. #14
    GraphOGLRisorse è connesso ora AlterGuru
    Data registrazione
    14-02-2015
    Messaggi
    1,255

    Predefinito

    Il sito multilingue, lo si può fare registrando il sito dal portale internazionale.

    Se vuole il sito anche in altre lingue, può registrarne un secondo dal portale internazionale e farlo in più lingue mentre il primo lo lascia per l'italiano.

    Cordiali saluti.

  15. #15
    parracomumangi non è connesso Neofita
    Data registrazione
    19-02-2008
    Messaggi
    19

    Predefinito

    Capito, ci penserò.

    Un'ultima domanda, ho aggiornato la wiki ma leggo il seguente messaggio:

    «MediaWiki 1.35 internal error
    MediaWiki 1.35 requires at least PHP version 7.3.19; you are using PHP 7.3.11.»

    È previsto un aggiornamento a breve per php 7.3.19+?
    Ultima modifica di parracomumangi : 28-10-2020 alle ore 13.05.57

  16. #16
    GraphOGLRisorse è connesso ora AlterGuru
    Data registrazione
    14-02-2015
    Messaggi
    1,255

    Predefinito

    Questo io non lo sò. Per questo deve attendere la risposta da parte di alemoppo o altri dello staff.

    Io le posso solo suggerirle di provare con la versione precedente, MediaWiki 1.34 che richiede php 7.1. In tal caso penso che debba reipostare anche php alla versione 7.1. Ovviamente questa è una soluzione temporanea.

    Cordiali saluti.
    Ultima modifica di GraphOGLRisorse : 28-10-2020 alle ore 14.32.33

  17. #17
    L'avatar di alemoppo
    alemoppo non è connesso Staff AV
    Data registrazione
    24-08-2008
    Residenza
    PU / BO
    Messaggi
    17,967

    Predefinito

    È in realtà previsto un aggiornamento di PHP, non so però darvi tempistiche precise.

    Ciao!

  18. #18
    parracomumangi non è connesso Neofita
    Data registrazione
    19-02-2008
    Messaggi
    19

    Predefinito

    Citazione Originalmente inviato da GraphOGLRisorse Visualizza messaggio
    Questo io non lo sò. Per questo deve attendere la risposta da parte di alemoppo o altri dello staff.

    Io le posso solo suggerirle di provare con la versione precedente, MediaWiki 1.34 che richiede php 7.1. In tal caso penso che debba reipostare anche php alla versione 7.1. Ovviamente questa è una soluzione temporanea.

    Cordiali saluti.

    Grazie, purtroppo leggo qui: https://www.mediawiki.org/wiki/Download/it che i prerequisiti sono

    "MediaWiki richiede PHP 7.3.19+ e MySQL 5.5.8+ ..."

    Mentre qua: https://www.mediawiki.org/wiki/MediaWiki_1.34/it

    trovo l'avviso

    MediaWiki 1.34 no longer supports PHP 7.0, 7.1

    Non menziona la versione 7.2 che forse funzionerebbe con Mediawiki 1.34 ma che non vedo nel pannello di altervista.
    In questo momento non posso che aspettare il passaggio di versione di php.

    Anche se comunque c'è la trappola anche lì:

    "MediaWiki is not compatible with PHP 7.4.0 to 7.4.2 due to an upstream bug. See task T246594 for more information."


    Citazione Originalmente inviato da alemoppo Visualizza messaggio
    È in realtà previsto un aggiornamento di PHP, non so però darvi tempistiche precise.
    Speriamo presto, grazie
    Ultima modifica di parracomumangi : 28-10-2020 alle ore 22.35.43

Tags for this Thread

Regole di scrittura

  • Non puoi creare nuove discussioni
  • Non puoi rispondere ai messaggi
  • Non puoi inserire allegati.
  • Non puoi modificare i tuoi messaggi
  •